%global momorel 2

Summary: Network File System Support Library
Name: nfs-utils-lib
Version: 1.0.8
Release: %{momorel}m
URL: http://www.citi.umich.edu/projects/nfsv4/linux/
License: GPL

%define idmapvers 0.16
%define libnfsidmap libnfsidmap-%{idmapvers}
%define rpcsecgssvers 0.13
%define librpcsecgss librpcsecgss-%{rpcsecgssvers}
%define libs %{librpcsecgss} %{libnfsidmap}

Source0: http://www.citi.umich.edu/projects/nfsv4/linux/libnfsidmap/%{libnfsidmap}.tar.gz
NoSource: 0
Source1: http://www.citi.umich.edu/projects/nfsv4/linux/librpcsecgss/%{librpcsecgss}.tar.gz
NoSource: 1

Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: pkgconfig, gettext
BuildRequires: libgssapi-devel
Requires(postun): /sbin/ldconfig
Requires(pre): /sbin/ldconfig
PreReq: libgssapi

%description
Support libaries that are needed by the commands and 
daemons the nfs-utils rpm.

%package devel
Summary: Development files for the nfs-utils-lib library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package includes header files and libraries necessary for
developing programs which use the nfs-utils-lib library.

%prep
%setup -c -q -a1

%build
top=`pwd`
for dir in %{libs} ; do
	pushd $dir
	autoconf -I "$top"
	popd
done

for dir in %{libs} ; do
	pushd $dir
	%configure --prefix=%{buildroot}
	popd
done
for dir in %{libs} ; do
	pushd $dir
	make all
	popd
done

%install
rm -rf %{buildroot}
for dir in %{libs} ; do
	pushd $dir
	DESTDIR=%{buildroot} make install
	popd
done

for dir in %{libs} ; do
	mkdir -p %{buildroot}/%{_usr}/share/doc/$dir
	pushd $dir
	for file in AUTHORS ChangeLog NEWS README ; do
		install -m 755 $file %{buildroot}%{_usr}/share/doc/$dir
	done
	popd
done

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%{_libdir}/librpcsecgss.so.*
%{_libdir}/librpcsecgss.la
%{_defaultdocdir}/%{librpcsecgss}/AUTHORS
%{_defaultdocdir}/%{librpcsecgss}/ChangeLog
%{_defaultdocdir}/%{librpcsecgss}/NEWS
%{_defaultdocdir}/%{librpcsecgss}/README
%{_libdir}/pkgconfig/librpcsecgss.pc
%{_libdir}/pkgconfig/libnfsidmap.pc

%{_libdir}/libnfsidmap.so.*
%{_libdir}/libnfsidmap.la
%{_defaultdocdir}/%{libnfsidmap}/AUTHORS
%{_defaultdocdir}/%{libnfsidmap}/ChangeLog
%{_defaultdocdir}/%{libnfsidmap}/NEWS
%{_defaultdocdir}/%{libnfsidmap}/README
%{_mandir}/man3/nfs4_uid_to_name.3.*

%files devel
%defattr(0644,root,root,755)
%{_libdir}/librpcsecgss.a
%{_libdir}/librpcsecgss.so
%{_includedir}/rpcsecgss/rpc/auth.h
%{_includedir}/rpcsecgss/rpc/auth_gss.h
%{_includedir}/rpcsecgss/rpc/svc.h
%{_includedir}/rpcsecgss/rpc/svc_auth.h
%{_includedir}/nfsidmap.h
%{_libdir}/libnfsidmap.so
%{_libdir}/libnfsidmap.a

%changelog
* Sat Jun 10 2006 Masahiro Takahatata <takahata@momonga-linux.org>
- (1.0.8-2m)
- delete duplicate files

* Fri Jun  9 2006 Masahiro Takahatata <takahata@momonga-linux.org>
- (1.0.8-1m)
- initialize based fc

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.0.8-3.1
- bump again for double-long bug on ppc(64)

* Thu Feb 09 2006 Florian La Roche <laroche@redhat.com> 1.0.8-3
- remove empty scripts

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.0.8-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Thu Jan 19 2006 Steve Dickson <steved@redhat.com> 1.0.8-2
- Added debugging routines to libnfsidmap

* Fri Jan  6 2006 Steve Dickson <steved@redhat.com> 1.0.8-1
- Initial commit
